=== modified file 'bzrlib/tests/fixtures.py'
--- bzrlib/tests/fixtures.py	2011-11-28 08:21:22 +0000
+++ bzrlib/tests/fixtures.py	2011-11-29 00:50:36 +0000
@@ -143,20 +143,18 @@
 class TimeoutFixture(object):
     """Kill a test with sigalarm if it runs too long.
     
-    Only works on Unix.
+    Only works on Unix at present.
     """
 
     def __init__(self, timeout_secs):
+        import signal
         self.timeout_secs = timeout_secs
+        self.alarm_fn = getattr(signal, 'alarm', None)
 
     def setUp(self):
-        import signal
-        self.alarm_fn = getattr(signal, 'alarm', None)
-        if self.alarm_fn is None:
-            return  # Windows etc
-        self.alarm_fn(self.timeout_secs)
+        if self.alarm_fn is not None:
+            self.alarm_fn(self.timeout_secs)
 
     def cleanUp(self):
-        if self.alarm_fn is None:
-            return  # Windows etc
-        self.alarm_fn(0)
+        if self.alarm_fn is not None:
+            self.alarm_fn(0)

